Bug 374661 - gnome-python2-gtkmozembed need a rebuild against new gecko libs (2.0.0.9)
gnome-python2-gtkmozembed need a rebuild against new gecko libs (2.0.0.9)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gnome-python2-extras (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-10 09:29 EST by Jérôme Benoit
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: gnome-python2-extras-2.14.3-6.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-10 23:45:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jérôme Benoit 2007-11-10 09:29:30 EST
Description of problem:

Rebuild and version bump is needed for gnome-python2-extras. Otherwise yum is
aborting update because of chick/egg problem.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Andrew Wheeler 2007-11-10 13:33:30 EST
Description of problem:

Rebuild and version bump is needed for gnome-python2-extras. Otherwise yum is
aborting update because of chick/egg problem.

Version-Release number of selected component (if applicable):
gnome-python2-gtkmozembed.i386           2.14.3-5.fc7    
firefox.i386                             2.0.0.9-1.fc7

How reproducible:
always

Steps to Reproduce:
1.yum -y update
2.
3.
  
Actual results:
Loading "skip-broken" plugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package yelp.i386 0:2.18.1-7.fc7 set to be updated
---> Package firefox-devel.i386 0:2.0.0.9-1.fc7 set to be updated
---> Package devhelp.i386 0:0.13-11.fc7 set to be updated
---> Package firefox.i386 0:2.0.0.9-1.fc7 set to be updated
---> Package Miro.i386 0:0.9.9.9-1.fc7 set to be updated
--> Processing Dependency: firefox = 2.0.0.8 for package: gnome-python2-gtkmozembed
--> Finished Dependency Resolution
Error: Missing Dependency: firefox = 2.0.0.8 is needed by package
gnome-python2-gtkmozembed


Expected results:
update :)

Additional info:

I think this happened before can anything be done to get both maintainers to
communicate when they are updating?
Comment 2 Jérôme Benoit 2007-11-10 14:08:02 EST
The solution is doing dependency resolution *BEFORE* pushing updates ... And
this can be done in bodhi ... hopefully someone is working an a patch ...

Cheers.
Comment 3 Andrew Wheeler 2007-11-10 14:22:31 EST
Description of problem:

Rebuild and version bump is needed for gnome-python2-extras. Otherwise yum is
aborting update because of chick/egg problem.

Version-Release number of selected component (if applicable):
gnome-python2-gtkmozembed.i386           2.14.3-5.fc7    
firefox.i386                             2.0.0.9-1.fc7

How reproducible:
always

Steps to Reproduce:
1.yum -y update
2.
3.
  
Actual results:
Loading "skip-broken" plugin
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package yelp.i386 0:2.18.1-7.fc7 set to be updated
---> Package firefox-devel.i386 0:2.0.0.9-1.fc7 set to be updated
---> Package devhelp.i386 0:0.13-11.fc7 set to be updated
---> Package firefox.i386 0:2.0.0.9-1.fc7 set to be updated
---> Package Miro.i386 0:0.9.9.9-1.fc7 set to be updated
--> Processing Dependency: firefox = 2.0.0.8 for package: gnome-python2-gtkmozembed
--> Finished Dependency Resolution
Error: Missing Dependency: firefox = 2.0.0.8 is needed by package
gnome-python2-gtkmozembed


Expected results:
update :)

Additional info:

I think this happened before can anything be done to get both maintainers to
communicate when they are updating?
Comment 4 Matthew Barnes 2007-11-10 23:45:37 EST
Yeah, this keeps happening over and over and over again.

Looks like someone already whacked the mole this time.

Fixed in gnome-python2-extras-2.14.3-6.fc7.

Note You need to log in before you can comment on or make changes to this bug.